# Please keep this package in sync with FC

# -*- rpm-spec -*-

Group: System/Base
Summary: Tools for managing the osinfo database
Name: osinfo-db-tools
Version: 1.10.0
Release: %mkrel 1
License: GPLv2+
Source: https://releases.pagure.io/libosinfo/%{name}-%{version}.tar.xz
URL: https://www.libosinfo.org/

### Patches ###

BuildRequires: meson
BuildRequires: gettext-devel
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires: pkgconfig(libxslt) >= 1.0.0
BuildRequires: pkgconfig(libarchive)
BuildRequires: libsoup-devel
BuildRequires: json-glib-devel
BuildRequires: perl
BuildRequires: python3
BuildRequires: python3-requests

%description
This package provides tools for managing the osinfo database of
information about operating systems for use with virtualization

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/osinfo-db-export
%{_bindir}/osinfo-db-import
%{_bindir}/osinfo-db-path
%{_bindir}/osinfo-db-validate
%{_mandir}/man1/osinfo-db-export.1*
%{_mandir}/man1/osinfo-db-import.1*
%{_mandir}/man1/osinfo-db-path.1*
%{_mandir}/man1/osinfo-db-validate.1*



%changelog
* Wed Dec 28 2022 tex - 1.10.0-1pclos2023
- new version

* Mon Sep 14 2020 tex - 1.8.0-1pclos2020
- create pkg for pclos from mga
